3.0 have ppc backwards compability

Discussion in 'Lounge' started by mrbass, Mar 30, 2009.

  1. You know how they have those intel/ppc universal binaries. Will it be the same with 3.0 iphone os games where you compile it and those who want 3.0 functionality like bluetooth local player they can upgrade to 3.0 but those still on 2.2.1 can still play the same game minus the new features of 3.0 or will it be pretty much forced update to play any new game coming out?
     
  2. Zincous

    Zincous Well-Known Member

    Dec 23, 2008
    4,567
    0
    0
    Sacramento, CA
    Probably forced update. If your on an iphone no reason not to (unless jailbroken) and for ipod touch users, they want to make their money.
     
  3. nizy

    nizy Well-Known Member

    The case with intel/ppc is quite different as they are both different CPU's, running different code etc.

    With 3.0 its simply a case of the OS offering more features for devs to use, more akin to Leopard vs. Tiger. Any game requiring 3.0 will state that on its iTunes page. A 3.0 game might work on 2.2.1, but many of its features won't and the dev probably won't support it on 2.2.1 either. You'd be better off upgrading (its only $10 for touch users).
     

Share This Page